Results 1 to 2 of 2

Thread: Install Chart::Clicker Perl Module

Threaded View

  1. #1

    Install Chart::Clicker Perl Module

    Hello to everyone!

    I'm here to share my experience intalling Chart::Clicker module under SLES 10 SP2/SP3

    URL: http://search.cpan.org/~gphat/Chart-Clicker-2.83/lib/Chart/Clicker.pm

    PRINCIPAL ISSUE: Chart::Clicker need lib Cairo >= 1.10 and suse provide version 1.0.2. Solved by compiling Cairo by source

    SOLUTION:
    Code:
    yast --install pkgconfig gcc gcc-c++ libpng-devel
    
    wget http://cairographics.org/releases/pixman-0.26.0.tar.gz
    tar -xzf pixman-0.26.0.tar.gz
    cd pixman-0.26.0/
    ./configure
    make 
    make install
    cd ../
    
    wget http://cairographics.org/releases/cairo-1.12.0.tar.gz
    tar -xzf cairo-1.12.0.tar.gz
    cd cairo-1.12.0/
    ./configure  --disable-gobject
    make
    make install
    
    perl -MCPAN -e 'install Attribute::Handlers' 2>> errors
    perl -MCPAN -e 'install Params::Validate' 2>> errors
    perl -MCPAN -e 'install DateTime::Locale' 2>> errors
    perl -MCPAN -e 'install DateTime::TimeZone' 2>> errors
    perl -MCPAN -e 'install DateTime' 2>> errors
    
    perl -MCPAN -e 'install Chart::Clicker' 2>>errors
    Have fun!
    Last edited by davegee; 09-Jan-2013 at 08:45.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •